import { ApiResponse, Dictionary, ResponseOptions } from './interface';

export declare function uuid(): string;
export declare function epochMs(): number;
export declare function isObjectEmpty(objectName: Dictionary): boolean;
export declare function isArrayEmpty(arrayName: unknown[]): boolean;
export declare function urlB64ToUint8Array(base64String: string): Uint8Array;
export declare function debounce<T extends unknown[], U>(callback: (...args: T) => PromiseLike<U> | U, wait: number): (...args: T) => Promise<U>;
export declare function debounceByType(func: any, wait: any): (...args: any[]) => any;
export declare function getResponsePayload(options: ResponseOptions): ApiResponse;
export declare function windowSupport(): boolean;
export declare function setLocalStorageData(key: string, value: string): void;
export declare function getLocalStorageData(key: string): any;
export declare function removeLocalStorageData(key: string): void;
