import { SuprSend } from './index';

export default class WebPush {
    private config;
    constructor(config: SuprSend);
    private getPushSubscription;
    private handleRegisterPush;
    /**
     * Used to register push service. This method will
     * 1. Ask for notification permission.
     * 2. Register push service and generate webpush token.
     * 3. Send webpush token to SuprSend.
     */
    registerPush(): Promise<import('./interface').ApiResponse>;
    updatePushSubscription(): Promise<import('./interface').ApiResponse | undefined>;
    removePushSubscription(): Promise<import('./interface').ApiResponse | undefined>;
    /**
     * Used to get browser level permission to show notifications.
     */
    notificationPermission(): NotificationPermission;
    /**
     * Used to check if push service is already active in browser.
     */
    pushSubscribed(): Promise<boolean>;
}
